#include <cstdio>
#include <cstdlib>
#include "ovm.hpp"
#include "autofollow.hpp"

using namespace std;


int main(int argc, char** argv) {
    if (argc == 1) {
        printf("usage: greedy_autofollow <scenario ID>\n");
        return 0;
    }

    OVM ovm(atoi(argv[1]));

    ovm.run();
    ovm.run();

    auto_follow(ovm, 0, 150, 12);

    printf("finished.\n");
    printf("score = %.3f\n", ovm.current_score());
    printf("fuel = %.3f\n", ovm.current_fuel());

    if (ovm.current_score() > 0)
        ovm.save_log();

    return 0;
}
