#ifndef GUESS_ELLIPSE_HPP
#define GUESS_ELLIPSE_HPP

#include "ovm.hpp"

struct ellipse_t {
    P another_focus;
    P perigee, apogee;
    double major_radius;
    double next_perigee_time;
    double next_apogee_time;
    double period;

    double dir;
    P center;
    double minor_radius;
};

ellipse_t guess_ellipse_by_earth(OVM& ovm, int target_id = -1);

#endif

