#include <iostream>
#include "ovm.hpp"
#include "simulate.hpp"

using namespace std;


int main(int argc, char** argv) {

    OVM ovm(4001);

    ovm.run();
    ovm.run();

    int T = 10000;
    P predicted = simulate(ovm.current_fate_position(), ovm.current_fate_velocity(), T);
    cout << "predicted: " << predicted << endl;

    for(int i = 0; i < T; i++)
        ovm.run();
    P expected = ovm.current_fate_position();
    cout << "expected: " << expected << endl;

    return 0;
}
