package jp.dip.icfp2009;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Dimension;

import javax.swing.JFrame;

@SuppressWarnings("serial")
public class VisualFateFrame extends JFrame {

	private final VisualFateSliderPanel sliderPanel;
	
	public VisualFateFrame(VisualFateDocument document) {
		super.setTitle("Visual Fate - ver 1.0 beta");
		super.setDefaultCloseOperation(EXIT_ON_CLOSE);
		super.setJMenuBar(new VisualFateMenu(this, document));
		super.setSize(new Dimension(800, 600));
		
		Container c = super.getContentPane();		
		VisualFatePanel panel = new VisualFatePanel(document);

		c.add(panel, BorderLayout.CENTER);
		this.sliderPanel = new VisualFateSliderPanel(this, document);
		c.add(this.sliderPanel, BorderLayout.SOUTH);
	}

	public VisualFateSliderPanel getSliderPanel() {
		return sliderPanel;
	}
}
