package jp.dip.icfp2009;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JOptionPane;
import javax.swing.JProgressBar;

@SuppressWarnings("serial")
public class VisualFateLoadDialog extends JDialog {

	private static final String CANCEL_TEXT = "CANCEL";

	private final JProgressBar bar;
	
	public VisualFateLoadDialog(VisualFateFrame frame, VisualFateDocument document) {
		super(frame, "Loading...", true);
		bar = new JProgressBar(0, 100);
		//		bar.setIndeterminate(true);
//		bar.setValue(10);
		Object[] messageList = { "Loading...", bar };
		JButton cancelBtn = new JButton(CANCEL_TEXT);
		super.getContentPane().add(new JOptionPane(messageList, JOptionPane.INFORMATION_MESSAGE,
				JOptionPane.DEFAULT_OPTION, null, new Object[] { cancelBtn }, null));
		super.setSize(500, 150);
	}

	public JProgressBar getProgressBar() {
		return bar;
	}

}
